Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.datatype
Class TimeDurationDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.TimeDurationDatatypeValidator

public class TimeDurationDatatypeValidator
extends AbstractDatatypeValidator

TimeDurationValidator validates that XML content is a W3C timeDuration.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: TimeDurationDatatypeValidator.java,v 1.5 2000/08/01 06:06:24 jeffreyr Exp $
Author:
  Ted Leung, George Joseph
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`TimeDurationDatatypeValidator()`
`TimeDurationDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String content1, java.lang.String content2)`
`java.util.Hashtable` | `getFacets()`
`static long` | `normalizeDuration(char[] value, int start)`
`static java.util.Calendar` | `normalizeInstant(char[] value, int start, int length)`
`void` | `setBasetype(DatatypeValidator base)` set the base type for this datatype
`void` | `setLocale(java.util.Locale locale)` set the locate to be used for error messages
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` validates a String to be a Lexical representation of a TimeDuration Datatype.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeDurationDatatypeValidator

    public TimeDurationDatatypeValidator()
                                  throws InvalidDatatypeFacetException

### TimeDurationDatatypeValidator

    public TimeDurationDatatypeValidator(DatatypeValidator base,
                                         java.util.Hashtable facets,
                                         boolean derivedByList)
                                  throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  validates a String to be a Lexical representation of a TimeDuration Datatype.

  Parameters:
    `content` - A string containing the content to be validated
    `state` -
  Returns:
  Throws:
    InvalidDatatypeValueException - If String is does not represent a valid TimeDuration datatype.
  Overrides:
    validate in class AbstractDatatypeValidator

### setBasetype

    public void setBasetype(DatatypeValidator base)

  set the base type for this datatype

  Parameters:
    `base` - the validator for this type's base type

### setLocale

    public void setLocale(java.util.Locale locale)

  set the locate to be used for error messages

### compare

    public int compare(java.lang.String content1,
                       java.lang.String content2)

  Overrides:
    compare in class AbstractDatatypeValidator

### getFacets

    public java.util.Hashtable getFacets()

  Overrides:
    getFacets in class AbstractDatatypeValidator

### normalizeDuration

    public static long normalizeDuration(char[] value,
                                         int start)
                                  throws InvalidDatatypeValueException

### normalizeInstant

    public static java.util.Calendar normalizeInstant(char[] value,
                                                      int start,
                                                      int length)
                                               throws InvalidDatatypeValueException

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.

  Overrides:
    clone in class AbstractDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD